- Request
- Response
X-API-Key. Requires fraud_detection_consent=true on your client.
Request body
The body is an object with atransactions array. See Transaction fields reference for full details.
Each array item shares the same schema as
POST /score. Required fields:
Optional fields
Enrich scoring (device, geo, merchant, balances). Not required, but they improve rules and model features.
Full reference: Transaction fields.
See Thresholds and decisions and SHAP features to interpret each item in
results[].
Response fields
More request examples
- PAYIN — Bre-B
- PAYOUT — bank transfer
Typical errors
- 403 — Fraud consent not granted
- 409 — Duplicate
transaction_idwithin 24 h window (on an item) - 422 — Empty array, more than 1,000 items, or validation on an element
- 504 — Scoring timeout on an item
